commit:     8dc2ce1f56f5a19a37452611d353ae903d957494
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon May 30 14:46:10 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon May 30 15:14:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8dc2ce1f

dev-libs/libwacom: Version bump to 2.2.0

package.mask'd for now.

Bug: https://bugs.gentoo.org/848501
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-libs/libwacom/Manifest              |  1 +
 dev-libs/libwacom/libwacom-2.2.0.ebuild | 67 +++++++++++++++++++++++++++++++++
 profiles/package.mask                   |  5 +++
 3 files changed, 73 insertions(+)

diff --git a/dev-libs/libwacom/Manifest b/dev-libs/libwacom/Manifest
index 0960301449ea..85e5bab31a89 100644
--- a/dev-libs/libwacom/Manifest
+++ b/dev-libs/libwacom/Manifest
@@ -1,2 +1,3 @@
 DIST libwacom-1.11.tar.bz2 519285 BLAKE2B 
fb26190d752316b5d25659d2ae76681bfff1803463360aa138eab91ed7d7ef2d04dfb6bdd4f8c2effc45a495ef3afc312a817d4fd41cd8167172cafd9f5cee9f
 SHA512 
24e8183502dd2b928d53b3d26d8479210e855c94c225649d63ac33062a30615654ff0ab8666a25503fb3253125539cd845ca467fb228a01c608dc3adbbec73b5
 DIST libwacom-1.12.tar.bz2 543819 BLAKE2B 
fdbfba23d7b1e047757b0c0ff698a484cadc91c199459e1da49bfd5a5406aeb62d2ca43856f7d8363c3f36c7c05f4d3160e8fb576c3d18f085144dec259d49c5
 SHA512 
4e0084eda01e78f52336f3f1f1ea3ea86cb9c5fdd6d6c0316662405ebe2a328d6837f8db855e58f5fa95a640a5d456a081a7de339a372bf851bc0d5c69530379
+DIST libwacom-2.2.0.tar.xz 106444 BLAKE2B 
e47d07b8631f85cbde743cf3fe0f9ab5fc26673e62bf0a018463903e0f81a576ca3dd9bb3da8d0049338a87ca384f217e56dd3bc59ad713e6f7b4c20563d8ba4
 SHA512 
3bded4a72bec230f3318e72bdfd81fa577d4a86103a89367e01e993319f4dbb9ccc73c834c04d5a63f43a8b94457bf64e567d7e3f8d2a0e08b189300c63782a8

diff --git a/dev-libs/libwacom/libwacom-2.2.0.ebuild 
b/dev-libs/libwacom/libwacom-2.2.0.ebuild
new file mode 100644
index 000000000000..53a1e7bfb7a7
--- /dev/null
+++ b/dev-libs/libwacom/libwacom-2.2.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+inherit meson python-any-r1 udev
+
+DESCRIPTION="Library for identifying Wacom tablets and their model-specific 
features"
+HOMEPAGE="https://github.com/linuxwacom/libwacom";
+SRC_URI="https://github.com/linuxwacom/${PN}/releases/download/${P}/${P}.tar.xz";
+
+LICENSE="MIT"
+SLOT="0/9" # libwacom SONAME
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-libs/glib:2
+       dev-libs/libgudev:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       doc? ( app-doc/doxygen )
+       test? (
+               ${PYTHON_DEPS}
+               $(python_gen_any_dep '
+                       dev-python/python-libevdev[${PYTHON_USEDEP}]
+                       dev-python/pyudev[${PYTHON_USEDEP}]
+                       dev-python/pytest[${PYTHON_USEDEP}]
+               ')
+       )
+"
+
+python_check_deps() {
+       has_version -b "dev-python/python-libevdev[${PYTHON_USEDEP}]" &&
+       has_version -b "dev-python/pyudev[${PYTHON_USEDEP}]" &&
+       has_version -b "dev-python/pytest[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+       if use test; then
+               python-any-r1_pkg_setup
+       fi
+}
+
+src_prepare() {
+       default
+
+       # Don't call systemd daemon-reload in the test suite
+       sed -i -e '/daemon-reload/d' test/test_udev_rules.py || die
+}
+
+src_configure() {
+       local emesonargs=(
+               $(meson_feature doc documentation)
+               $(meson_feature test tests)
+               -Dudev-dir=$(get_udevdir)
+       )
+       meson_src_configure
+}
+
+pkg_postinst() {
+       udev_reload
+}

diff --git a/profiles/package.mask b/profiles/package.mask
index cb10c2104442..474b25296bd0 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -33,6 +33,11 @@
 
 #--- END OF EXAMPLES ---
 
+# Matt Turner <matts...@gentoo.org> (2022-05-30)
+# libwacom-2 broke ABI compatibility; reverse dependencies need to be updated.
+# Bug #848501
+>=dev-libs/libwacom-2.0
+
 # Hans de Graaff <gra...@gentoo.org> (2022-05-29)
 # Old slots that are no longer used by dependencies. Upgrade to the
 # latest slot instead. Masked for removal in one month.

Reply via email to